%global source_name firefox-pkcs11-loader

Name:           firefox-esteidpkcs11loader
Version:        3.11.0
Release:        1%{?dist}
Summary:        Estonian ID card extension for Mozilla Firefox
License:        LGPLv2+
URL:            https://github.com/open-eid/firefox-pkcs11-loader
Source:         %{url}/archive/v%{version}.tar.gz#/%{source_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  cmake
Requires:       esteidcerts
Requires:       opensc%{?_isa}
Requires:       pcsc-lite%{?_isa}
Requires:       pcsc-lite-ccid%{?_isa}
Requires:       mozilla-filesystem

%description
Loads PKCS#11 module for web authentication with smart cards.

%prep
%setup -q -n %{source_name}-%{version}
%{cmake} .

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}


%files
%doc README.md LICENSE.LGPL AUTHORS RELEASE-NOTES.txt
%{_datadir}/mozilla/extensions/*


%changelog
* Sat Jul 11 2015 Mihkel Vain <mihkel@fedoraproject.org> - 3.11.0-1
- New upstream release
- Spec file cleanups

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0.1052-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 10 2015 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1052-5
- Project moved to github
- Require pcsc-lite-ccid (#1210639)

* Wed Nov 12 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1052-4
- Use onepin module patch with opensc 0.14

* Sun Jun 22 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1052-3
- Rename package to firefox-esteidpkcs11loader and obsolete mozilla-esteid

* Fri Jun 20 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1052-2
- Fix spec file according to suggestions

* Fri Jan 17 2014 Mihkel Vain <turakas@gmail.com> - 3.8.0.1052-1
- First rpm package for Fedora

* Fri Aug 13 2010 RIA <info@ria.ee> 1.0-1
- first build no changes
